import { withRouter } from 'next/router'

import { useCurrentUserQuery } from '../../src/gql'
import { UserAdmin } from '../../src/user'

const UserAdminPage = () => {
  const { data, loading, error } = useCurrentUserQuery()
  console.log('UserPage', data, loading, error && error.message)

  return <UserAdmin />
}

export default withRouter(UserAdminPage)
